List PlanGroupLinks - m3ter Documentation
List PlanGroupLinks
cURL
curl --request GET \
--url https://api.m3ter.com/organizations/{orgId}/plangrouplinks \
--header 'Authorization: Bearer <token>'
Python
import requests
url = "https://api.m3ter.com/organizations/{orgId}/plangrouplinks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.m3ter.com/organizations/{orgId}/plangrouplinks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Expected Responses
{
"data": [\
{\
"id": "<string>",\
"version": 123,\
"planGroupId": "<string>",\
"planId": "<string>",\
"dtCreated": "2023-11-07T05:31:56Z",\
"dtLastModified": "2023-11-07T05:31:56Z",\
"createdBy": "<string>",\
"lastModifiedBy": "<string>"\
}\
],\
"nextToken": "<string>"
}
{
"message": "<string>"
}
{
"message": "<string>"
}
Authentications
Authorization
- Type:
string
- Location:
header
- Required: Yes
Path Parameters
- orgId: (string, required) UUID of the organization
Query Parameters
- pageSize: (integer) Number of PlanGroupLinks to retrieve per page. Required range:
1 <= x <= 100
- nextToken: (string) nextToken for multi-page retrievals
- planGroup: (string) UUID of the PlanGroup to retrieve PlanGroupLinks for
- plan: (string) UUID of the Plan to retrieve PlanGroupLinks for
- ids: (string[]) list of IDs to retrieve
Response
- 200: application/json with the data structure for list of PlanGroupLinks.